<ion-header translucent>
  <ion-toolbar>
    <ion-buttons slot="start" (click) =cerrar() >
      <ion-back-button defaultHref="lista-tecnico"></ion-back-button>
    </ion-buttons>
    <ion-title>Código Ticket: {{ticket.codticket}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
  <ion-list>
    <ion-list-header>
      <h4>Prioridad</h4>
    </ion-list-header>
      <ion-item>
        <ion-icon *ngIf="prioridades.nivelPrioridad=='Superior'" name="ellipse-sharp" style="color:#FF1500;">
        </ion-icon>
        <ion-icon *ngIf="prioridades.nivelPrioridad=='Alto'" name="ellipse-sharp" style="color:#FF6417;">
        </ion-icon>
        <ion-icon *ngIf="prioridades.nivelPrioridad=='Medio'" name="ellipse-sharp" style="color:#FFFF04;">
        </ion-icon>
        <ion-icon *ngIf="prioridades.nivelPrioridad=='Bajo'" name="ellipse-sharp" style="color:#E0FF04;">
        </ion-icon>
        <ion-icon *ngIf="prioridades.nivelPrioridad=='Inferior'" name="ellipse-sharp" style="color:#4EFF04;">
        </ion-icon>
        <ion-label color="ista">
          <h2>{{prioridades.nivelPrioridad}}</h2>
        </ion-label>
      </ion-item>
  </ion-list>
  <ion-list>
    <ion-list-header>
      <h4>Detalle</h4>
    </ion-list-header>
    <ion-item>
      <ion-icon color = "ista" slot="start" name="ticket-outline">
      </ion-icon>
      <ion-label color = "ista">
        <h2>Titulo: {{servicios.titulo}}</h2>
      </ion-label>
    </ion-item>
    <ion-item (click)='presentAlertaVerDescripcionTicket()'>
      <ion-icon color = "ista" slot="start" name="text-outline"></ion-icon>
      <ion-label color = "ista">
        <h2>Detalle del ticket</h2>
        <h3>Ver detalle del ticket</h3>
      </ion-label>
      <ion-icon color = "ista" slot="end" name="chevron-forward-outline"></ion-icon>
    </ion-item>
    <ion-item (click)='presentAlertaVerDescripcionServicio()'>
      <ion-icon color = "ista" slot="start" name="text-outline"></ion-icon>
      <ion-label color = "ista">
        <h2>Detalle del Servicio</h2>
        <h3>Ver detalle del servicio</h3>
      </ion-label>
      <ion-icon color = "ista" slot="end" name="chevron-forward-outline"></ion-icon>
    </ion-item>
    <ion-item>
      <ion-icon color = "ista" slot="start" name="calendar-outline"></ion-icon>
      <ion-label color = "ista">
        <h2>{{ticket.fechaAsignacion | date: 'MMM dd, YYYY HH:mm'}}</h2>
        <h3>Fecha de Asignación </h3>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon color = "ista" slot="start" name="apps-outline"></ion-icon>
      <ion-label color = "ista">
        <h2>{{catalogos.categoria}}</h2>
        <h3>Catalogo </h3>
      </ion-label>
    </ion-item>
    <div *ngIf="ticket.url!=null" >
      <ion-item href="{{ticket.url}}">
        <ion-icon  color="ista" slot="start" name="cloud-download-outline"></ion-icon>
        <ion-label color="ista">
          <h2>{{ticket.url}}</h2>
          <h3>Descargar Evidencias</h3>
        </ion-label>
      </ion-item>
    </div>
  </ion-list>
  <ion-list>
    <ion-list-header>
      <h4>Datos del Usuario</h4>
    </ion-list-header>
    <ion-item>
      <ion-icon color = "ista" slot="start" name="person-outline"></ion-icon>
      <ion-label color = "ista">
        <h2> {{personas.nombres}}</h2>
        <h3>Nombres</h3>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon slot="start" color = "ista" name="git-compare-outline"></ion-icon>
      <ion-label color = "ista">
        <h2 *ngIf="viaComunicacion.nombre == 'Telefono'"> Telefono: {{personas.telefono}}</h2>
        <h2 *ngIf="viaComunicacion.nombre == 'Correo'"> Correo: {{usuarios.email}}</h2>
        <h3>via Comunicación</h3>
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-fab *ngIf = "estado.nombreEstado == 'Atendiendose'" vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button color="ista">
      <ion-icon md="caret-up"></ion-icon>
    </ion-fab-button>
    <ion-fab-list side="top">
      <ion-fab-button color="light" (click)="abrirModalSolucion()" data-desc="Cerrar con solución">
        <ion-icon name="checkmark-circle-outline" ></ion-icon>
      </ion-fab-button>
      <ion-fab-button color="light" (click)="presentAlertaCerrarSinSolucion()" data-desc="Cerrar sin solución">
        <ion-icon name="document-lock-outline"></ion-icon>
      </ion-fab-button>
      <ion-fab-button color="light" (click)="presentAlertaRechazar()" data-desc="Reasignar">
        <ion-icon name="arrow-back-circle-outline"></ion-icon>
      </ion-fab-button>
        <ion-fab-button *ngIf="tecnico.nivel == 1" color="light"  (click)="abrirModalListTecnicos()" data-desc="Reescalar">
          <ion-icon name="arrow-forward-circle-outline"></ion-icon>
        </ion-fab-button>
    </ion-fab-list>
  </ion-fab>
  <ion-list *ngIf = "solucion != null">
    <ion-list-header>
      <h4>Solución</h4>
    </ion-list-header>
    <ion-item (click)='presentAlertaVerSolucion()'>
      <ion-icon slot="start" color = "ista" name="git-compare-outline"></ion-icon>
      <ion-label color = "ista">
        <h2>Solución del Ticket</h2>
        <h3>Ver solución</h3>
      </ion-label>
    </ion-item>
  </ion-list>
</ion-content>
